| Home | Libraries | People | FAQ | More

## Global space

boost::xpressive::space — Matches a space character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified space;

## Description

The regex traits are used to determine which characters are space characters. To match any character that is not white-space, use ~space.

| Note
space is equivalent to /[[:space:]]/ in perl. ~space is equivalent to /[[:^space:]]/ in perl.